<?php setcookie("login", $_COOKIE["login"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<?php setcookie("sessio", $_COOKIE["sessio"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<html>
  <head>
    <link rel="stylesheet" href="../estils/hoja.css" type="text/css" />
    <title>Afegir usuaris</title>
  </head>

  <body leftmargin="0" topmargin="0" bgcolor="#8F0000">
    <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
      <tr>
        <!-- Menú dret -->
        <td align="left" valign="top" width="100" bgcolor="#4F0000">
          <?php include("../menu.inc") ?>
        </td>

        <!-- Capçalera -->
        <td align="left" valign="top" width="100%" class="centered">
        <h2>Departament d'Enginyeria Informàtica i Matemàtiques</h2>
        <img src="images/separador.gif">
        <br><br>
        <div align="left"><blockquote>

        <!-- Començament del cos -->
        <?php require("../private/connect.inc");
              require("../private/ident.inc");
              require("../private/func-admin.inc");
              ident();
              autoritzar($_COOKIE["login"], "usuaris");
              if ($_POST["password"] != $_POST["password2"]){
                echo "Els passwords introduits són diferents.";
                echo "<br><br><input type=\"image\" src=\"images/tornar.jpg\"
                      onClick=\"history.go(-1)\">";
                exit;
              }
              if (strlen($_POST["password"])<5) {
                echo "El password ha de ser com a mínim de 5 caracters";
                echo "<br><br><input type=\"image\" src=\"images/tornar.jpg\"
                      onClick=\"history.go(-1)\">";
                exit;
              }
              if (!strcmp($_POST["password"], $_POST["login"])) {
                echo "El password i el login no poden ser el mateix.";
                echo "<br><br><input type=\"image\" src=\"images/tornar.jpg\"
                      onClick=\"history.go(-1)\">";
                exit;
              }
              $login=addslashes($_POST["login"]);

              $link=Conectar();
              $result=mysql_query("SELECT login FROM usuaris WHERE login LIKE '$login'");
              $row = mysql_fetch_array($result);
              if ($row["login"]==$login){
                echo "L'usuari ja existeix.";
                echo "<br><br><input type=\"image\" src=\"images/tornar.jpg\"
                      onClick=\"history.go(-1)\">";
                mysql_free_result($result);
                exit;
              }
              mysql_free_result($result);
              
              $password=addslashes($_POST["password"]);
              if ($password=="")
                $password="false";
              $novetats = addslashes($_POST["novetats"]);
              if ($novetats=="")
                $novetats="false";
              $personal = addslashes($_POST["personal"]);
              if ($personal=="")
                $personal="false";
              $personal_propi = addslashes($_POST["personal_propi"]);
              if ($personal_propi=="")
                $personal_propi="false";
              $tesis_total = addslashes($_POST["tesis_total"]);
              if ($tesis_total == "")
                $tesis_total="false";
              $tesis_propies = addslashes($_POST["tesis_propies"]);
              if ($tesis_propies=="")
                $tesis_propies="false";
              $deiminaris = addslashes($_POST["deiminaris"]);
              if ($deiminaris=="")
                $deiminaris="false";
              $usuaris = addslashes($_POST["usuaris"]);
              if ($usuaris=="")
                $usuaris="false";
              $cercador = addslashes($_POST["cercador"]);
              if ($cercador=="")
                $cercador="false";

              $id=id(addslashes($_POST["id"]));
              $link=Conectar();
              mysql_query("INSERT INTO usuaris
              (login,password,novetats,personal,personal_propi,tesis_total,tesis_propies,deiminaris,
              usuaris,cercador,id)
              VALUES
              ('$login',PASSWORD('$password'),'$novetats','$personal','$personal_propi',
              '$tesis_total',
              '$tesis_propies','$deiminaris','$usuaris','$cercador','$id')", $link)  or die ("Error a la BD!");
        ?>
        <h2>Administració Usuaris: Afegir</h2>
        Registre afegit!!<br>
        <font size="-1"><i>En 3 segons tornará al menú d'administració</i></font>
        </blockquote></div>
        </td>
        <td align="left" valign="top" width="100">
          <br />
          <br />
          <br />
          <br />
          <a href="../desconectar.php" class="link2"><img src="images/tancar.jpg" border="0"></a>
        </td>
      </tr>
    </table>
    <script languaje='JavaScript'>
      setTimeout('location.href="../login.php"', 3000)
    </script>
  </body>
</html>

